ATT Iphone 4 ios 4.01 to ios 4.1 with no 4.1 shsh blob

Discussion in 'Jailbreaks and iOS Hacks' started by probinseano, Dec 6, 2010.

  1. probinseano macrumors newbie

    Joined:
    Dec 6, 2010
    #1
    *i have an at&t iphone 4 with official firmware 4.0
    *no more shsh blobs for 4.1 and below, i was only able to get 4.2 shsh blobs
    *running itunes 10.0(67)

    read and found there might be a way to go to 4.1 from 4.0 without baseband upgrade with pwnage tool with a custom firmware as you need 4.1 shsh blobs with the tinyumbrella way

    question is:
    is it true that i really don't need shsh blob for 4.1 if i use pwnage tool cfw without baseband upgrade to get me from 4.0 ofw to 4.1 cfw?

    if this way is possible,do i need to jailbreak first my ofw 4.0 before i can upgrade to 4.1 using PT cfw?

    will my phone be activated (using activate phone in expert mode with pwnage tool) and can be used for international phone sims when i use ultrasnow after the pwnage tool jailbreak?

    can i make a PT cfw without activation since I have an AT&T sim?(i don't have 4.1 shsh blobs)

    lastly, if it is possible to upgrade from my 4.0 ofw to 4.1 cfw using PT, what if something happens to the phone needing for it to be reverted to the 4.1 cfw i prepared. is this possible? (since I cannot revert back to 4.0, 4.01, 4.02, and even 4.1 ofw since I was not able to save the shsh blob).

    any input would be highly appreciate.
    I've been searching for answers for week now.
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #2
    I think you will still need shsh for 4.1
    I'd stay at 4.0.1
     
  3. Myzhi macrumors 6502a

    Joined:
    Dec 15, 2009
    #3
    You won't be able to install 4.1 without saved SHSH files. And, activating phone and unlocking are two different things. If you have the official carrier sim, even not active, you should always use it instead of hactivation. Hactivation can cause push data problems. As for unlocking, that depends on Ultrasnow supporting the baseband on the phone.
     
  4. nebo1ss macrumors 68030

    Joined:
    Jun 2, 2010
    #4
    Are you two sure about needing SHSH. I was under the impression that because you are using a PWNed state you do not need SHSH to restore custom firmware.

    Check the attached tutorial and you will see no mention of SHSH.

    http://www.iclarified.com/entry/index.php?enid=12348
     
  5. Myzhi macrumors 6502a

    Joined:
    Dec 15, 2009
    #5
    That 4.1 guide came out when Apple was still signing 4.1. Thus, you don't need worry about 4.1 SHSH files back then. It's different now that Apple is only signing 4.2.1.
     
  6. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #6
    I'm not 100% but give it a shot anyway and see if it let's you.
     
  7. probinseano thread starter macrumors newbie

    Joined:
    Dec 6, 2010
    #7
    thank you for the replies.

    so, PT still needs shsh blobs?
    i really thought that they did not since every tutorial I saw did not require tinyumbrella to be started (with a tss server start) and a hosts file alteration to point apple to cydia.

    i guess when you hit the option restore option with itunes this is where the shsh check happens? but i thought that pwnage tool and redsnow bypasses this check with this article:
    http://www.iphonehacks.com/2010/07/dev-team-apple-has-started-soft-shsh-blob-checks-with-ios-4.html

    the article says
    "That’s because starting with 4.0, Apple started putting a “soft” SHSH blob check in the firmware. The SHSH blob check is very real in the sense that if iTunes can’t get your blobs (because the Apple signing window has closed), the iTunes restore will error out. But it’s “soft” in the sense that those devices can always use redsn0w or PwnageTool to get past the error (the bootroms themselves for those devices don’t require blobs to be in the firmware files, unlike the newer bootroms)."
     
  8. Carlanga macrumors 604

    Carlanga

    Joined:
    Nov 5, 2009
    #8
    yes, a custom FW created w/ PT needs the SHSH blobs since you are tricking the servers to think that the Custom FW is an official vanilla one for iTunes to give the OK to restore to it...
     
  9. Chrysaor macrumors 6502

    Joined:
    May 16, 2006
    #9
    From my understanding, you can only restore to the latest firmware when Apple stops signing previous firmware if you don't have SHSH blobs saved. This applies to all restores whether restoring the same version, upgrading or downgrading.
     
  10. probinseano thread starter macrumors newbie

    Joined:
    Dec 6, 2010
    #10
    OK.
    so the only option for this ATT official firmware 4.0 to be jailbroken and unlocked is

    jailbreakme then the ultrasnow unlock?

    or is

    limera1n with ultrasnow unlock also an option?
     
  11. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #11
    I'd go with jailbreakme and then install ultrasnow.
     
  12. probinseano thread starter macrumors newbie

    Joined:
    Dec 6, 2010
    #12
    One last inquiry,

    if something messes up my ios 4.0 with jailbreakme and ultrasnow, i wouldn't be able to go back to ios 4.0 right? so the only option is to go to 4.2 since that's where i have shsh blobs?
     
  13. Carlanga macrumors 604

    Carlanga

    Joined:
    Nov 5, 2009
    #13
    correct!
     
  14. Chrysaor macrumors 6502

    Joined:
    May 16, 2006
    #14
    That will also update the bb, ruining your unlock.
     

Share This Page